> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getConfirmedTokens

> Lists confirmed tokens. Confirmed in the method name means any token bridged to Abstract via the official bridge. The tokens are returned in alphabetical order by their symbol. This means the token id is its position in an alphabetically sorted array of tokens.



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getConfirmedTokens
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getConfirmedTokens:
    post:
      tags:
        - ZKSync API
      summary: zks_getConfirmedTokens
      description: >-
        Lists confirmed tokens. Confirmed in the method name means any token
        bridged to Abstract via the official bridge. The tokens are returned in
        alphabetical order by their symbol. This means the token id is its
        position in an alphabetically sorted array of tokens.
      operationId: zks_getConfirmedTokens
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getConfirmedTokens
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - 0
                    - 10
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_getConfirmedTokens
              params:
                - 0
                - 10
      responses:
        '200':
          description: Returns the list of tokens
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: array
                    description: List of token objects
                    items:
                      type: object
                      properties:
                        decimals:
                          type: integer
                          description: Number of token decimals
                          example: 18
                        l1Address:
                          type: string
                          description: Token address on L1
                          example: '0x0000000000000000000000000000000000000000'
                        l2Address:
                          type: string
                          description: Token address on L2
                          example: '0x000000000000000000000000000000000000800A'
                        name:
                          type: string
                          description: Token name
                          example: Ether
                        symbol:
                          type: string
                          description: Token symbol
                          example: ETH
              example:
                jsonrpc: '2.0'
                result:
                  - decimals: 18
                    l1Address: '0x0000000000000000000000000000000000000000'
                    l2Address: '0x000000000000000000000000000000000000800A'
                    name: Ether
                    symbol: ETH
                id: 1

````